%global pypi_name wrapt
%global commitId f2f1a680113d500f525de78da91ae19235efef16

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.14.1
Release:        2%{?dist}
Summary:        A Python module for decorators, wrappers and monkey patching

License:        BSD
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        python-wrapt-f2f1a680113d500f525de78da91ae19235efef16.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 38.3.0

%description
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        A Python module for decorators, wrappers and monkey patching

%description -n python%{python3_pkgversion}-%{pypi_name}
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Dec 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 1.14.1-2
- Rebuild for multiple architectures

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 1.14.1-1
- Initial release
